<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

/**
 * Type options for AUX cards
 *
 * @since 1.0.0
 */
enum CardsTypeOptionsEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case FeaturedCards = 'featured-cards';
  case LinkedCards = 'linked-cards';

  public const SETTING_LABEL = 'AUX cards style';

  public function label(): string
  {
    return match($this) {
      self::FeaturedCards => 'Featured Cards',
      self::LinkedCards => 'Linked Cards',
    };
  }
}
